# SourcePath: gdk-pixbuf/20180320dev
Summary: gdk-pixbuf: The GdkPixBuf image handling library
Name: sony-target-dev-gdk-pixbuf
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gdk-pixbuf
Version: 2.35.5
Release: 12000001
Source: gdk-pixbuf-%{version}.tar.xz
License: LGPLv2
URL: http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-glib
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-libpng
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-libjpeg-turbo

%description
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
Clutter.

%package -n %{pkgname}
Summary: gdk-pixbuf: The GdkPixBuf image handling library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
gdk-pixbuf is an image loading library that can be extended by loadable
modules for new image formats. It is used by toolkits such as GTK+ or
Clutter.

%prep
%setup -n gdk-pixbuf-%{version}

%build
%sony_target_dev_setup
[ ! -f objdir ] && mkdir -p objdir ;
cd objdir; 
../configure \
        --host=arm-sony-linux-gnueabi \
        --build=x86_64-pc-linux-gnu \
        --prefix=/usr \
        --includedir=/tool/usr/include \
        --without-libtiff --enable-gio-sniffing=no \
        --with-x11 --without-libtiff --enable-gtk-doc-html=no \
        --with-libpng --with-libjpeg --enable-introspection=no &&
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

%demangle_libtool

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}//gdk-pixbuf-2.0/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/gdk-pixbuf-*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgdk_pixbuf*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gdk-pixbuf*

%changelog
* Tue Mar 20 2018 Sony Corporation
- Version up from 2.30.0 -> 2.35.5.

* Fri Dec 15 2017 Sony Corporation
- Version up from 2.28.2 -> 2.30.0.

* Tue Aug 7 2013 Sony Corporation
- Initial build.
